INTERFACE
SUBROUTINE RDPHTRSF (KSTEP,KSTA,KEND,KJUMP,KFIELDS,PQS,PTS,PSNS )
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KJUMP
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDS
REAL(KIND=JPRB) ,INTENT(OUT) :: PQS(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTS(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSNS(NPROMA)
END SUBROUTINE RDPHTRSF
END INTERFACE
